Method: projects.locations.instances.transactionPolicies.get

Gets details of a single TransactionPolicy, including its Cedar rule, current lifecycle state, and recorded Policy Author approvals.

Returns NOT_FOUND if the TransactionPolicy does not exist.

HTTP request

GET https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*/transactionPolicies/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the TransactionPolicy to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/transactionPolicies/{transactionPolicy} It takes the form projects/{project}/locations/{location}/instances/{instance}/transactionPolicies/{transactionpolicies}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of TransactionPolicy.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.